#ifndef TVV_H
#define TVV_H

#include <sys/param.h>
#include <stdint.h>
#include <saa713x_ioctl.h>

#define TVVRC_OFFSET	4

extern struct vinfo *gvi;
extern struct ainfo *gai;
extern struct xinfo *gxi;

extern int *adev_fd;

extern "C" {
void stop_video(struct vinfo *vi, struct xinfo *xi);
void start_video(struct vinfo *vi, struct xinfo *xi);
void resize_video_win(int w, int h);
void set_audio_source(enum OCS ocs);
void terminate_notify(int sig);
}

#endif
