#include <sys/param.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <err.h>
#include <errno.h>
#include <fcntl.h>
#include <unistd.h>

#include "saa713x_ioctl.h"

int
main(int argc, char **argv)
{
	int fd;
	enum OCS ocs;
	char *dname;

	if (argc >= 2) 
		dname = argv[1];
	else
		dname = "/dev/sau0";

	if ( (fd = open(dname, O_RDWR)) == -1)
		err(errno, "Error opening audio device %s", argv[1]);

	ocs = OCS_INLEFT2_INRIGHT2;
	if (ioctl(fd, SETAUDIOMIXER, &ocs) == -1)
               	err(errno, "Audio set lineout, Ioctl error");

	return 0;
}
